Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# drawingarea.hh File Reference

A GtkDrawingArea C++ wrapper interface. More...

`#include <xfc/gtk/widget.hh>`
`#include <gtk/gtkdrawingarea.h>`
`#include <xfc/gtk/inline/drawingarea.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::DrawingArea
    A GtkDrawingArea C++ wrapper class. More...

## Detailed Description

A GtkDrawingArea C++ wrapper interface.

Provides the DrawingArea widget which is used for creating custom user interface elements. It's essentially a blank widget you can draw on. After creating a drawing area, the application may want to connect to mouse and button press signals to respond to input from the user.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3